### A free/open-source library for quantitative finance

Public Member Functions
DiscretizedDiscountBond Class Reference

Useful discretized discount bond asset. More...

`#include <ql/discretizedasset.hpp>`

Inheritance diagram for DiscretizedDiscountBond:
[legend]

List of all members.

## Public Member Functions

void | reset (Size size)
std::vector< Time > | mandatoryTimes () const

## Detailed Description

Useful discretized discount bond asset.

## Member Function Documentation

void reset | ( | Size | size | ) | `[virtual]`

This method should initialize the asset values to an Array of the given size and with values depending on the particular asset.

Implements DiscretizedAsset.

std::vector<Time> mandatoryTimes | ( |  | ) | const`[virtual]`

This method returns the times at which the numerical method should stop while rolling back the asset. Typical examples include payment times, exercise times and such.

Note:
  The returned values are not guaranteed to be sorted.

Implements DiscretizedAsset.